Bug 601705 - firefox is caching agent downloads
Summary: firefox is caching agent downloads
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core Server   
(Show other bugs)
Version: 3.0.0
Hardware: All
OS: All
medium
high vote
Target Milestone: ---
: ---
Assignee: John Mazzitelli
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-08 13:45 UTC by John Mazzitelli
Modified: 2013-09-02 07:17 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 07:17:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Mazzitelli 2010-06-08 13:45:58 UTC
If you used Firefox to download the agent update binary, it will cache it and thereafter (unless you clear the cache), it will always download that version of the binary, even if you upgrade the server with a new agent binary. This is probably true for the other downloads (agentupdate/version and the CLI).

We should disable the cache by sending back the necessary HTTP response headers in our servlets.

Comment 1 John Mazzitelli 2011-03-24 13:12:13 UTC
I force the no-cache browser headers to be returned on every request now. The browser should never cache the downloads (this is true for the CLI, agent and other downloads from the RHQ Server).

commit 1aacb18dccff69719482beadb56a6097e743295b

Comment 2 Mike Foley 2011-06-07 13:15:37 UTC
this is verified.

Comment 3 Heiko W. Rupp 2013-09-02 07:17:22 UTC
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.


Note You need to log in before you can comment on or make changes to this bug.